> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Invite Users



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json post /v2/invite_users
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/invite_users:
    post:
      tags:
        - users
      summary: Invite Users
      operationId: invite_users_v2_invite_users_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InviteUsersRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    InviteUsersRequest:
      properties:
        auth_method:
          $ref: '#/components/schemas/AuthMethod'
          default: email
        emails:
          items:
            type: string
          type: array
          minItems: 1
          title: Emails
        role:
          $ref: '#/components/schemas/UserRole'
          default: user
        group_ids:
          items:
            type: string
            format: uuid4
          type: array
          title: Group Ids
          default: []
        send_email:
          type: boolean
          title: Send Email
          default: true
      type: object
      required:
        - emails
      title: InviteUsersRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AuthMethod:
      type: string
      enum:
        - email
        - google
        - github
        - okta
        - azure-ad
        - custom
        - saml
        - invite
      title: AuthMethod
    UserRole:
      type: string
      enum:
        - admin
        - manager
        - user
        - read_only
      title: UserRole
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````